<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2015 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IMIA.' . $_EXTKEY,
    'teaser',
    array(
        'Teaser'   => 'index',
    ),
    array(
        'Teaser'   => 'index',
    )
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IMIA.' . $_EXTKEY,
    'teaser_cached',
    array(
        'Teaser'   => 'index',
    ),
    array(
    )
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IMIA.' . $_EXTKEY,
    'teaser_navigation',
    array(
        'Teaser'   => 'navigation',
    ),
    array(
        'Teaser'   => 'navigation',
    )
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IMIA.' . $_EXTKEY,
    'teaser_categories',
    array(
        'Teaser'   => 'categories',
    ),
    array(
        'Teaser'   => 'categories',
    )
);

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['extTablesInclusion-PostProcessing'][$_EXTKEY] =
    'IMIA\ImiaPageteaser\Hook\TableConfigurationPostProcessing';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass'][$_EXTKEY] =
    'IMIA\ImiaPageteaser\Hook\FormEngine';

$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['tx_templavoila_mod1_specialdoktypes'] = array(
    'className' => 'IMIA\ImiaPageteaser\Xclass\Templavoila\SpecialDoktypes',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\Resource\FileRepository'] = array(
    'className' => 'IMIA\ImiaPageteaser\Xclass\Core\Resource\FileRepository',
);
if (!\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('imia_bigpipe')) {
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Frontend\Controller\TypoScriptFrontendController'] = array(
        'className' => 'IMIA\ImiaPageteaser\Xclass\Frontend\Controller\TypoScriptFrontendController',
    );
}
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['IMIA\ImiaBigpipe\Xclass\Frontend\Controller\TypoScriptFrontendController'] = array(
    'className' => 'IMIA\ImiaPageteaser\Xclass\ImiaBigpipe\Xclass\Frontend\Controller\TypoScriptFrontendController',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Frontend\Page\PageRepository'] = array(
    'className' => 'IMIA\ImiaPageteaser\Xclass\Frontend\Page\PageRepository',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['tx_realurl_advanced'] = array(
    'className' => 'IMIA\ImiaPageteaser\Xclass\Realurl\Advanced',
);

$GLOBALS ['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'][$_EXTKEY] =
    'IMIA\ImiaPageteaser\Hook\ProcessDatamap';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY, 'setup',
    '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/TypoScript/setup.ts">', true);